RXQUEUE(1)

NAME
rxqueue - Open Object Rexx Queue Filter

SYNTAX
rxqueue [queuename] [/fifo | /lifo | /clear]

DESCRIPTION
This program operates as a filter, placing the output of an operating system command onto an external ooRexx queue.

The name of the queue to act upon is determined in the following order:

1.  queuename specified on the command line

2.  The name of the queue specified by the environment variable RXQUEUE

3.  The default queue name SESSION

OPTIONS

/fifo
    places lines onto the queue in first-in first out order. This is the default.

/lifo
    places lines onto the queue in last-in first out order.

/clear
    removes all lines from the queue.

SEE ALSO
rxsubcom(1)

EXAMPLES

ls | rxqueue MYQ /lifo
    Places output from the ls command onto the MYQ queue in last-in first-out order. MYQ must have been created before it can be used.

export RXQUEUE=MYQ; rxqueue /clear
    Clears the contents of MYQ. MYQ must have been created before it can be used.

LICENSE
Open Object Rexx is distributed under the terms of the Common Public License v1.0 which accompanies this distribution. https://www.oorexx.org/license.html This program and the accompanying materials are made available under the terms of the Common Public License v1.0 which accompanies this distribution. A copy is also available at the following address: https://www.oorexx.org/license.html